0

I'm following the example in the safe docs, but when I create and instance of OpenloginAdapter and I try to assign it as adapter in the web3AuthmodalPack initialization, the types are not assignable. I dont know if maybe I need a specific version of web3Auth or something like that. Thank u.

Error Descripcion:

1 Answer 1

0

I had this same issue. I adjusted my package versions to the following:

"dependencies": {
    "@web3auth/base": "^4.3.0",
    "@web3auth/modal": "^4.3.1",
    "@web3auth/openlogin-adapter": "^4.3.0",
    "@safe-global/api-kit": "^1.3.0",
    "@safe-global/protocol-kit": "^1.2.0",
    "@walletconnect/client": "^1.8.0",
    "@safe-global/auth-kit": "^1.2.0",
    ...
},
"devDependencies": {
    ...
    "react": "^18.2.0",
    "react-dom": "^18.2.0"
}

This worked for me.

I grabbed these versions from https://github.com/safe-global/safe-core-sdk/blob/main/packages/auth-kit/package.json

I hope this works for you!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.